import Vue from 'vue';

import {
  parseTime,
  resetForm,
  handleTree,
  addDateRange,
  selectDictLabel,
  isNullOrEmpty
} from '@/utils/ruoyi';
import {
  deepClone
} from '@/utils/index';
import {
  download
} from '@/utils/request';
import {
  getConfigKey
} from '@/api/system/config';
import {
  getDicts
} from '@/api/system/dict/data'

// 全局方法挂载
Vue.prototype.parseTime = parseTime;
Vue.prototype.resetForm = resetForm;
Vue.prototype.download = download;
Vue.prototype.handleTree = handleTree;
Vue.prototype.deepClone = deepClone;
Vue.prototype.addDateRange = addDateRange;
Vue.prototype.getConfigKey = getConfigKey;
Vue.prototype.getDicts = getDicts;
Vue.prototype.selectDictLabel = selectDictLabel;
Vue.prototype.isNullOrEmpty = isNullOrEmpty
